export default function profilePropsProvider(props) {
  const {
    userInfo,
    isEditField,
    btnAvailable,
    infoUser,
    avatar,
    visibleMenu,
    isSlideShow,
    dateTimePicker,
    contactUser,
    showAlert,
    modalVisible,
    userInputContact,
    setAvatar,
    setInfoUser,
    navigateMain,
    setEditField,
    setBtnAvailable,
    onSaveInfo,
    onDeniedAvatar,
    onConfirmAvatar,
    showMenu,
    openGallery,
    showFullScreen,
    hideFullScreen,
    hideMenu,
    hideDateTimePicker,
    setDateTimePicker,
    onSubmitChangeContactUser,
    setContactUser,
    onChangeDropDownContactUser,
    onChangeInputContactUser,
    onPressDeleteItem,
    onPressAddItem,
    onConfirmDeleteAlert,
    onCancelAlert,
    setUserInputContact,
    onSubmitCreateNew,
    setModalVisible,
    navigateToLogout,
    onChangeCoverAvatar,
  } = props;
  return {
    userInfo,
    isEditField,
    btnAvailable,
    infoUser,
    avatar,
    visibleMenu,
    isSlideShow,
    dateTimePicker,
    contactUser,
    showAlert,
    modalVisible,
    userInputContact,
    setAvatar,
    setInfoUser,
    navigateMain,
    setEditField,
    setBtnAvailable,
    onSaveInfo,
    onDeniedAvatar,
    onConfirmAvatar,
    showMenu,
    openGallery,
    showFullScreen,
    hideFullScreen,
    hideMenu,
    hideDateTimePicker,
    setDateTimePicker,
    onSubmitChangeContactUser,
    setContactUser,
    onChangeDropDownContactUser,
    onChangeInputContactUser,
    onPressDeleteItem,
    onPressAddItem,
    onConfirmDeleteAlert,
    onCancelAlert,
    setUserInputContact,
    onSubmitCreateNew,
    setModalVisible,
    navigateToLogout,
    onChangeCoverAvatar,
    introduceUserProps: {
      userInfo,
      isEditField,
      avatar,
      onDeniedAvatar,
      onConfirmAvatar,
      showMenu,
      hideMenu,
      visibleMenu,
      openGallery,
      onChangeCoverAvatar,
    },
  };
}
